Upstream information

CVE-2012-1015 at MITRE

Description

The kdc_handle_protected_negotiation function in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) 1.8.x, 1.9.x before 1.9.5, and 1.10.x before 1.10.3 attempts to calculate a checksum before verifying that the key type is appropriate for a checksum, which allows remote attackers to execute arbitrary code or cause a denial of service (uninitialized pointer free, heap memory corruption, and daemon crash) via a crafted AS-REQ request.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 9.3 5
Vector AV:N/AC:M/Au:N/C:C/I:C/A:C AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network Network
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Complete None
Integrity Impact Complete None
Availability Impact Complete Partial
SUSE Bugzilla entry: 770172 [RESOLVED / FIXED]

SUSE Security Advisories:

    openSUSE-SU-2012:0967-1

List of released packages

Product(s) Fixed package version(s) References


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 krb5 Already fixed
SUSE Linux Enterprise Desktop 15 SP5 krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 12 SP5 krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP5 krb5 Already fixed
SUSE Linux Enterprise Micro 5.1 krb5 Already fixed
SUSE Linux Enterprise Micro 5.2 krb5 Already fixed
SUSE Linux Enterprise Micro 5.3 krb5 Already fixed
SUSE Linux Enterprise Micro 5.4 krb5 Already fixed
SUSE Linux Enterprise Micro 5.5 krb5 Already fixed
SUSE Linux Enterprise Micro 6.0 krb5 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP5 krb5 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP5 krb5 Already fixed
SUSE Linux Enterprise Server 12 SP5 krb5 Already fixed
SUSE Linux Enterprise Server 15 SP5 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP5 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP5 krb5 Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP5 krb5 Already fixed
SUSE Manager Proxy 4.3 krb5 Already fixed
SUSE Manager Retail Branch Server 4.3 krb5 Already fixed
SUSE Manager Server 4.3 krb5 Already fixed
openSUSE Leap 15.5 krb5 Already fixed
openSUSE Leap Micro 5.5 krb5 Already fixed
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2 krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3 krb5 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4 krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS krb5 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP3 krb5 Unsupported
SUSE Linux Enterprise Module for Basesystem 15 SP4 krb5 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP3 krb5 Unsupported
SUSE Linux Enterprise Module for Server Applications 15 SP4 krb5 Already fixed
SUSE Linux Enterprise Server 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Server 15 SP2-LTSS krb5 Already fixed
SUSE Linux Enterprise Server 15 SP3 krb5 Unsupported
SUSE Linux Enterprise Server 15 SP3-LTSS krb5 Already fixed
SUSE Linux Enterprise Server 15 SP4 krb5 Already fixed
SUSE Linux Enterprise Server 15 SP4-LTSS krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP3 krb5 Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP4 krb5 Already fixed
Products past their end of life and not receiving proactive updates anymore.
HPE Helion OpenStack 8 krb5 Already fixed
Magnum Orchestration 7 krb5 Not affected
SUSE CaaS Platform 3.0 krb5 Already fixed
SUSE CaaS Platform 4.0 krb5 Already fixed
SUSE Enterprise Storage 6 krb5 Already fixed
SUSE Enterprise Storage 7 krb5 Already fixed
SUSE Linux Enterprise Desktop 11 SP2 krb5 Not affected
SUSE Linux Enterprise Desktop 11 SP3 krb5 Not affected
SUSE Linux Enterprise Desktop 11 SP4 krb5 Not affected
SUSE Linux Enterprise Desktop 12 krb5 Not affected
SUSE Linux Enterprise Desktop 12 SP1 krb5 Not affected
SUSE Linux Enterprise Desktop 12 SP2 krb5 Unsupported
SUSE Linux Enterprise Desktop 12 SP3 krb5 Already fixed
SUSE Linux Enterprise Desktop 12 SP4 krb5 Already fixed
SUSE Linux Enterprise Desktop 15 krb5 Already fixed
SUSE Linux Enterprise Desktop 15 SP1 krb5 Already fixed
SUSE Linux Enterprise Desktop 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Desktop 15 SP3 krb5 Unsupported
SUSE Linux Enterprise High Performance Computing 15 krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1 krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS krb5 Unsupported
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15-ESPOS krb5 Already fixed
SUSE Linux Enterprise High Performance Computing 15-LTSS krb5 Already fixed
SUSE Linux Enterprise Micro 5.0 krb5 Unsupported
SUSE Linux Enterprise Module for Basesystem 15 krb5 Already fixed
SUSE Linux Enterprise Module for Basesystem 15 SP1 krb5 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 krb5 Already fixed
SUSE Linux Enterprise Module for Server Applications 15 SP1 krb5 Already fixed
SUSE Linux Enterprise Point of Sale 11 SP3 krb5 Not affected
SUSE Linux Enterprise Point of Sale 12 SP2-CLIENT krb5 Already fixed
SUSE Linux Enterprise Real Time 15 SP2 krb5 Already fixed
SUSE Linux Enterprise Real Time 15 SP3 krb5 Already fixed
SUSE Linux Enterprise Real Time 15 SP4 krb5 Already fixed
SUSE Linux Enterprise Server 10 SP4-LTSS krb5 Not affected
SUSE Linux Enterprise Server 11 SP1-LTSS krb5 Not affected
SUSE Linux Enterprise Server 11 SP2 krb5 Not affected
SUSE Linux Enterprise Server 11 SP2-LTSS krb5 Not affected
SUSE Linux Enterprise Server 11 SP3 krb5 Not affected
SUSE Linux Enterprise Server 11 SP3 LTSS krb5 Not affected
SUSE Linux Enterprise Server 11 SP3-LTSS krb5 Not affected
SUSE Linux Enterprise Server 11 SP4 krb5 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS krb5 Already fixed
SUSE Linux Enterprise Server 11 SP4-LTSS krb5 Not affected
SUSE Linux Enterprise Server 12 krb5 Not affected
SUSE Linux Enterprise Server 12 SP1 krb5 Not affected
SUSE Linux Enterprise Server 12 SP1-LTSS krb5 Not affected
SUSE Linux Enterprise Server 12 SP2 krb5 Not affected
SUSE Linux Enterprise Server 12 SP2-BCL krb5 Already fixed
SUSE Linux Enterprise Server 12 SP2-ESPOS krb5 Already fixed
SUSE Linux Enterprise Server 12 SP2-LTSS krb5 Already fixed
SUSE Linux Enterprise Server 12 SP3 krb5 Already fixed
SUSE Linux Enterprise Server 12 SP3-BCL krb5 Already fixed
SUSE Linux Enterprise Server 12 SP3-ESPOS krb5 Already fixed
SUSE Linux Enterprise Server 12 SP3-LTSS krb5 Already fixed
SUSE Linux Enterprise Server 12 SP4 krb5 Already fixed
SUSE Linux Enterprise Server 12 SP4-ESPOS krb5 Already fixed
SUSE Linux Enterprise Server 12 SP4-LTSS krb5 Already fixed
SUSE Linux Enterprise Server 12-LTSS krb5 Not affected
SUSE Linux Enterprise Server 15 krb5 Already fixed
SUSE Linux Enterprise Server 15 SP1 krb5 Already fixed
SUSE Linux Enterprise Server 15 SP1-BCL krb5 Already fixed
SUSE Linux Enterprise Server 15 SP1-LTSS krb5 Already fixed
SUSE Linux Enterprise Server 15 SP2-BCL krb5 Already fixed
SUSE Linux Enterprise Server 15 SP3-BCL krb5 Already fixed
SUSE Linux Enterprise Server 15-LTSS krb5 Already fixed
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 11 SP2 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP3 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP1 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP3 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 12 SP4 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 krb5 Already fixed
SUSE Linux Enterprise Server for SAP Applications 15 SP1 krb5 Already fixed
SUSE Linux Enterprise Software Development Kit 11 SP2 krb5 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP3 krb5 Not affected
SUSE Linux Enterprise Software Development Kit 11 SP4 krb5 Not affected
SUSE Linux Enterprise Software Development Kit 12 krb5 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP1 krb5 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP2 krb5 Not affected
SUSE Linux Enterprise Software Development Kit 12 SP3 krb5 Already fixed
SUSE Linux Enterprise Software Development Kit 12 SP4 krb5 Already fixed
SUSE Manager Proxy 4.0 krb5 Already fixed
SUSE Manager Proxy 4.1 krb5 Already fixed
SUSE Manager Proxy 4.2 krb5 Unsupported
SUSE Manager Retail Branch Server 4.0 krb5 Already fixed
SUSE Manager Retail Branch Server 4.1 krb5 Already fixed
SUSE Manager Retail Branch Server 4.2 krb5 Unsupported
SUSE Manager Server 4.0 krb5 Already fixed
SUSE Manager Server 4.1 krb5 Already fixed
SUSE Manager Server 4.2 krb5 Unsupported
SUSE OpenStack Cloud 7 krb5 Already fixed
SUSE OpenStack Cloud 8 krb5 Already fixed
SUSE OpenStack Cloud 9 krb5 Already fixed
SUSE OpenStack Cloud Crowbar 8 krb5 Already fixed
SUSE OpenStack Cloud Crowbar 9 krb5 Already fixed
openSUSE Leap 15.3 krb5 Already fixed
openSUSE Leap 15.4 krb5 Already fixed
openSUSE Leap Micro 5.2 krb5 Already fixed
openSUSE Leap Micro 5.3 krb5 Already fixed
openSUSE Leap Micro 5.4 krb5 Already fixed


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 12:28:00 2013
CVE page last modified: Thu Jul 25 12:10:26 2024